Bug 216078 - dmraid section fails to activate partitions which causes boot to halt on fsck of any corresponding partitions in fstab
dmraid section fails to activate partitions which causes boot to halt on fsck...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 00:30 EST by Need Real Name
Modified: 2014-03-16 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-11-17 00:30:32 EST
Description of problem:
Specifically, I have a Promise FastTrak 376 controller (20376) controller with a
Parallel IDE hard drive connected using the PATA/IDE port of this otherwise SATA
controller.

The controller is in the sda position with a logical partition in sda5.
The dmraid system, recognizes it as:  /dev/pdc_ccdejaib and /dev/pdc_ccdejaib5

However, the rc.sysinit script calls 'dmraid.static -ay -i -p -t' which only
discovers and activates the device itself (pdc_ccdejaib) but not the partition
(pdc_ccdejaib5).

As a result, when fsck tries to check the /dev/pdc_ccdejaib5 partition cited in
my fstab, it barfs since that device is non-existent being that the partition
has not yet been activated.

I can "solve" the problem by adding a line 'dmraid.static -ay -i' to the
rc.sysinit file but that seems like a kluge.

Not sure what the right way to fix this is...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have something like a Promise Raid FastTrack controller (on /dev/sda)
2. Add entry into fstab of form: 
    /dev/mapper/pdc_ccdejaib5 /mnt/mydrive ext3 defaults 1 2
3. Boot linux
  
Actual results:
Crashes on fsck of the above partition

Expected results:
No crash

Additional info:
Comment 1 Peter Jones 2006-11-17 14:17:10 EST
Use "/dev/mapper/pdc_ccdejaibp5" instead of "/dev/mapper/pdc_ccdejaib5" --
initscripts is using "kpartx -a -p p /dev/mapper/pdc_ccdejaib" to build the
partitions.

It's done this way because some tools use the separator and some tools don't for
various device-mapper devices, so this makes it _more_ consistent, even though
it's slightly less obvious :/
Comment 2 Need Real Name 2006-11-17 14:50:29 EST
To be clear, are you saying that I should just add the letter "p" before the
partition number (5). Because, I just tried that and it didn't help.

Indeed, /dev/mapper only shows the following devices:
pdc_ccdejaib
pdc_ccdejaib5

And running: kpartx -l -p p  /dev/mapper/pdc_ccdejaib
Gives:
   pdc_ccdejaibp5 : 0 398283354 /dev/mapper/pdc_ccdejaib 126
Comment 3 Need Real Name 2006-12-08 12:49:22 EST
Still seems to be a bug. Solution suggested by Peter Jones did not resolve issue.

I would be happy to help troubleshoot...
Comment 4 Need Real Name 2006-12-24 04:26:25 EST
Not sure if this is relevant, but I notice that every time my kernel starts up,
it gives me the following error message in /var/log/messages:

    kernel: device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised:
dm-devel@redhat.com
    kernel: device-mapper: table: 253:0: linear: dm-linear: Device lookup failed
    kernel: device-mapper: ioctl: error adding target to table


Also, on the boot screen, I see the following message:
    device-mapper: reload ioctl failed: Invalid argument

Does this help shed any light on the problem?
Comment 5 Need Real Name 2006-12-24 22:03:12 EST
Not sure if this is relevant, but I notice that every time my kernel starts up,
it gives me the following error message in /var/log/messages:

    kernel: device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised:
dm-devel@redhat.com
    kernel: device-mapper: table: 253:0: linear: dm-linear: Device lookup failed
    kernel: device-mapper: ioctl: error adding target to table


Also, on the boot screen, I see the following message:
    device-mapper: reload ioctl failed: Invalid argument

Does this help shed any light on the problem?
Comment 6 Need Real Name 2007-03-15 20:23:27 EDT
Still NOT FIXED!
Comment 7 Bug Zapper 2008-04-04 00:44:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:50:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.